<?php 
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
include_once"../template/isset.php";
$ggg = @file(BASEDIR."/local/profil/$log.prof"); 
$ggg = explode(":||:",$ggg[0]);
$pis=trim($ggg[10]);
$dost=trim($ggg[7]);
$prl=trim($ggg[0]);
$provp=trim($ggg[1]);
$text = file(BASEDIR."local/profil/$log.prof"); 
if ($text!=""){
$udata = explode(":||:",$text[0]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);
$dostup=trim($udata[7]);
$log_status=(int)$udata[36];
$log_otzyv=trim($udata[48]);}
$time=time();
$uz=check($uz);
if($uz==""){$uz=check($log);}
$lifefile = file(BASEDIR."local/datalife/$uz.dat");
if ($lifefile!=""){
$lifestr = explode("|",$lifefile[0]); 
$userlife=$time-$lifestr[0];
if($userlife<600){
$statwho='(<font color="#33FF00">Сейчас на сайте</font>)';
$whouser=user_position($lifestr[3]);
}else{
$statwho='(Последнее посещение '.date("j.m.Y / H:i",check($lifestr[0])).')';
$whouser='Оффлайн';}}
echo '<div class=b><img src="../images/img/partners.gif" alt=""> <b>Анкета<font color="red"> '.$uz.'</font> </b> '.$statwho.'</div><br>';
if($uz!="" && !eregi("[^a-z0-9-]",$uz)){
$text = file(BASEDIR."local/profil/$uz.prof"); 
if ($text!=""){
$uzdata = explode(":||:",$text[0]);
if ($uzdata[46]=="1") {echo '<b><font color="#FF0000">Внимание, аккаунт требует подтверждение регистрации!</font></b><br>';}
if ($uzdata[37]=="1" && $uzdata[38]>$time) {echo '<b><font color="#FF0000">Внимание, юзер находится в бане!</font></b><br>';
$time_ban=round($uzdata[38]-$time);
echo'До окончания бана осталось '.formattime($time_ban).'<br>';
echo 'Причина: '.$uzdata[39].'<br>';}
if ($uzdata[43]!=="") {echo'Аватар: <img src="../'.check($uzdata[43]).'" alt="">.<br>';}
if($uzdata[72]!=="" && file_exists("../local/datagallery/$uzdata[72]")){
$ext = strtolower(substr($uzdata[72], strrpos($uzdata[72], '.') + 1));
echo'Фото: <a href="../gallery/index.php?action=showimg&amp;gid='.$uzdata[72].'&amp;'.SID.'"><img src="../gallery/resize.php?act='.$ext.'&amp;gdir=local&amp;gpoddir=datagallery&amp;gname='.$uzdata[72].'&amp;maxsize=60" alt=""></a>.<br>';
}
if ($uzdata[74]<1){echo 'Находится: '.$whouser.'<br>';}else{echo 'Находится: Скрыто для просмотра<br>';}
if ($uzdata[40]==""){echo 'Cтатус: <font color="#FF0000"><b>'.user_ststuses($uzdata[36]).'</b></font><br>';}
else{echo'Cтатус: <font color="#FF0000"><b>'.check($uzdata[40]).'</b></font><br>';}
echo 'Пол: '; 
if($uzdata[15]=="N"){echo 'Не указан<br>';}
elseif($uzdata[15]=="M"){echo'Мужской <br>';} else {echo'Женский<br>';}
if ($uzdata[29]!="") {echo'Имя: <b>'.check($uzdata[29]).'<br></b>';}
if ($uzdata[65]!="") {echo'Ник: '.check($uzdata[65]).'<br>';}
if ($uzdata[2]!="") {echo'Откуда: '.check($uzdata[2]).'<br>';}
if ($uzdata[3]!="") {echo'О себе: '.check($uzdata[3]).' <br>';}
if ($uzdata[18]!="" && $uzdata[18]!=".."){echo'Дата рождения: '.check($uzdata[18]).'<br>';}
if ($uzdata[16]!="") {echo'Рост: '.(int)$uzdata[16].' см.<br>';}
if ($uzdata[17]!="") {echo'Вес: '.(int)$uzdata[17].' кг.<br>';}
if ($uzdata[19]!="") {$icq_uin=preg_replace("/[^0-9.]/", "", $uzdata[19]); 
echo'<img src="http://web.icq.com/whitepages/online?icq='.$icq_uin.'&amp;img=5" alt=""> '; 
echo'ICQ: '.check($uzdata[19]).' <br>';
}
echo'Всего посeщений: '.(int)$uzdata[11].'<br>';
echo'Сообщений на форуме: '.(int)$uzdata[8].'<br>';
echo'Сообщений в гостевой: '.(int)$uzdata[9].'<br>';
echo'Сообщений в чате: '.(int)$uzdata[12].'<br>';
echo'Комментариев: '.(int)$uzdata[33].'<br>';
echo'Баллов: '.(int)$uzdata[36].' <br>';
echo'Число нарушений: '.(int)$uzdata[64].' <br>';
echo'Авторитет: '.(int)$uzdata[49].' (+'.(int)$uzdata[50].'/-'.(int)$uzdata[51].')<br>';
if($log!=$uz && $uzdata[36]>150 && $udata[36]>150 && $time>$udata[48]){ 
$liness=file(BASEDIR."local/dataraiting/$log.dat");
foreach($liness as $value) { 
if ($uz==no_br($value)) {$usertrue="ok"; break;}}
if($usertrue!="ok"){ 
echo '[ <a href="raiting.php?uz='.$uz.'&amp;action=plus&amp;'.SID.'"><img src="../images/img/plus.gif" alt=""><font color="00FF00"> Плюс</font></a> | '; echo'<a href="raiting.php?uz='.$uz.'&amp;action=minus&amp;'.SID.'"><font color="FF0000">Минус</font> <img src="../images/img/minus.gif" alt=""></a> ]<br>';
}}
echo 'Всего денег: '.moneys(user_bankmany($uz)+$uzdata[41]).' <br>';
echo 'На руках: '.moneys($uzdata[41]).' <br>';
echo 'В банке: '.moneys(user_bankmany($uz)).' <br>';
if($uzdata[54]>0){echo'Задолженность по кредиту: '.moneys($uzdata[54]).' <br>';}
if ($uzdata[13]!="") {echo'Браузер: '.check($uzdata[13]).' <br>';}
echo 'Рассылка новостей: ';
if ($uzdata[34]=="1") {echo'Подписан<br>';}else {echo'Не подписан<br>';}
echo 'Используемый скин: '.check($uzdata[20]).'<br>';
if ($uzdata[6]!="") {echo 'Дата регистрации: '.date_fixed($uzdata[6],'j F Y').'<br>';} 
echo 'Последняя авторизация: '.date_fixed($uzdata[44],'j F Y / H:i').'<br>'; 
$lifefiles = file(BASEDIR."local/datalife/$uz.dat"); 
$lifestrs = explode("|",$lifefiles[0]);
echo 'Провел на сайте: '.makestime($lifestrs[1]).'<br>';
$texfirm = @file(BASEDIR."local/navigator/firma/$uz.firm");
$datafirm = explode("|",$texfirm[0]);
$dat_log=$datafirm[8];
$dat_infa=$datafirm[7];
$dat_balans=$datafirm[5];
$dat_prib=$datafirm[3];
$dat_reg=$datafirm[6];
 
$g= @file(BASEDIR."/local/profil/$uz.prof"); 
$text1 = @file("../local/navigator/$uz.game");
if ($text!=""){
$gtxt = explode(":||:",$text1[0]);
$ud = explode(":||:",$g[0]);

$stvol=trim($gtxt[5]);
$dom=trim($gtxt[3]);
$risdom=trim($gtxt[4]);
$car=trim($gtxt[1]);
$riscar=trim($gtxt[2]);
$oh=trim($gtxt[8]);
$ohname=trim($gtxt[7]);
$napal=trim($gtxt[6]);
$tb=trim($gtxt[9]);
$banda=trim($gtxt[40]);
$av=trim($gtxt[14]);
$mir=trim($gtxt[14]);
$g1pob=trim($gtxt[10]);
$g1por=trim($gtxt[11]);
$racer=$g1pob+$g1por;
$postsall=$udata[36];
$pppp=$udata[48];}
$log_otzyv=trim($udata[48]);
$last_otzyv=trim($udata[52]);
include_once"../template/siti_status.php";
if(@file("../local/navigator/band/$banda.game")){
$text17 = @file("../local/navigator/band/$banda.game");
$text59 = explode(":||:",$text17[0]);
$zxz = $text59[1];}
{
if(empty($menu)){echo '<img src="../images/img/person.gif" alt=""> <b><a href="anketa.php?uz='.$uz.'&amp;menu=1&amp;'.SID.'">Игровая информация</a></b><hr>';
}else{
echo '<hr><img src="../images/img/person.gif" alt=""> <font color="red"><b>Состояние в ГОРОДЕ</b></font><hr>';
if ($zxz!==""){echo'Бaндa: <font color="red">'.$zxz.'</font><br>';}else{echo'<font color="red">Heт бaнды! Бpoдягa</font><br>';}
if ($av!=="") {echo' '.$stt.' <font color="red"><b>'.$av.'</b></font> бaллoв<br>';}
######### Отсидки ##########
if ($udata[175]!=="") {echo' Отсидок: <font color="red"><b>'.$udata[175].'</b></font> раз<br>';}else{echo' Отсидок: <b>Не привлекался</b><br>';}
$vrem=$udata[174]/60;
if ($udata[174]!=="") {echo' Оттрубил: <font color="red"><b>'.$vrem.'</b></font> час<br>';}
echo'--------------------------<br>';
#########################
if ($stvol!=="") {echo"Ствол: <font color=\"red\">".check($gtxt[5])."</font><br>";}else{echo"Ствол: <font color=\"red\">Heт opyжия!</font><br>";}
$rt = @file("../local/navigator/zags/$uz.zags"); 
$rz = explode("|",$rt[0]);
if ($rz[7]=="1" && $ud[15]=="M") {echo"<font color=\"#33FF00\">Семейное положение</font>:<br><font color=\"red\">Женат на</font>: <font color=\"gold\">$rz[2]</font><br>Дата свадьбы:$rz[6]<br>";}
if ($rz[7]=="1" && $ud[15]!=="M") {echo"<font color=\"#33FF00\">Семейное положение</font>:<br><font color=\"red\">Замужем за</font>: <font color=\"gold\">$rz[2]</font><br>Дата свадьбы:$rz[6]<br>";} 
if ($uz==$log) {echo"&#187; <a href=\"anketa2.php?uz=$uz\"><b>Ваше имущество</b></a><br>";}else{ echo"&#187; <a href=\"anketa2.php?uz=$uz\">Имущество $uz</a><br>";}
echo'&#187;<a href="../pages/anketa1.php?action=otdih&amp;uz='.$uz.'&amp;'.SID.'"> Место отдыха</a><br>'; 
$gtxt = @file("../local/walkman/$uz.game"); 
$gtxt = explode(":||:",$gtxt[0]);
$gamelog=trim($gtxt[0]);
$telnaz=trim($gtxt[51]);
$tel=trim($gtxt[52]);
if ($telnaz!=="") {echo"Teлo: <a href=\"/games/mobi/$tel\">".$telnaz."</a><br>";}
$text5 = @file("../local/navigator/girl/$uz.game");
$gtxt = explode(":||:",$text5[0]);
$nnn=trim($gtxt[12]);
$fff=trim($gtxt[13]);
if ($fff!==""){
if($udata[15]=="M"){echo"Tёлкa: <a href=\"/games/par/$fff\">".$nnn."</a><br>";}
else {echo"Пapeнь: <a href=\"/games/par/$fff\">".$nnn."</a><br>";}
}else{echo"";}
if ($dom!=="") {echo'Хата: <font color="blue">'.$dom.'</font><br><img src="../games/dom/'.$risdom.'" alt=""><br> ';}else{echo'Mecтo житeльcтвa: <font color="red"><b>БОМЖ </b></font><br>';}
if ($car!=="") {echo"Тачка: <font color=\"lime\"></font><a href=\"../games/car/$riscar\">".$car."</a><br>
 ";}else{echo"Машина: <font color=\"red\">нет машины</font><br>";}
if ($tb!=="") {echo"Тюнинг: <font color=\"red\"><b>".$tb."</b></font><br>";}else{echo"<font color=\"red\">Heт тюнингa.</font><br>";}
if ($racer!=="") {echo"Участвовал в <font color=\"red\"><b>$racer </b></font>заездах<br>Побед: <font color=\"red\"><b>".$g1pob."</font></b><br>Поражений: <b><font color=\"red\">".$g1por."</b></font><br>";}else{echo"<font color=\"red\">Не участвовал</font><br>";}
if ($napal!=="") {echo"Последнее нападение нa:<font color=\"red\"> ".$napal."</font><br>";}else{echo"<font color=\"red\">Мирный житель</font><br>";}
if ($ohname!=="") {echo"Охрана:<font color=\"red\"><b> ".$ohname."</b></font><br>Здоровье: <font color=\"red\">".$oh."</font><br>";}else{echo"<font color=\"red\">Нет личной охраны</font><br>";}
if(@file("../local/navigator/krysha/$uz.game")){
$time=time();
$text9 = @file("../local/navigator/krysha/$uz.game");
$text5 = explode(":||:",$text9[0]);
$vvv = $text5[50];
$my = $text5[1];
$cu = round (($vvv - $time) / 60);
$vremya = date("iч. sмин.", $cu);
if ($vvv <= $time){
echo '<img src="../images/act1.gif" alt=""> <font color="lime">Kpышa yпaлa!</font> <img src="../images/act1.gif" alt=""><br>';
echo'<img src="../images/act2.gif" alt=""> <a href="/games/napal.php?uz=$uz&amp;".SID."">Haпacть и oгpaбить!</a><br>
 <img src="../images/act2.gif" alt=""> <a href="/games/arena.php?uz=$uz&amp;".SID."">Пpecaнyть?</a><br>';
}else{
if($cu>=0 && $cu<200){$kol="red";}
if($cu>=200 && $cu<400){$kol="yellow";}
if($cu>=400 && $cu<600){$kol="lime";}
if($cu>=600 && $cu<800){$kol="green";}
if($cu>=800 && $cu<1000){$kol="darkgreen";}
if($cu>=1000 && $cu<3400){$kol="blue";}
$pol =round((($cu*1)/4)+1);
echo '<img src="../images/act1.gif" alt=""> Крыша: <font color="blue"> '.$my.'</font><br><img src="../images/act1.gif" alt=""> Осталось: <font color="red">'.$vremya.'</font><br>';
}}else{echo'<img src="../images/act1.gif" alt=""> <font color="red"><b>Kpышa oтcyтcтвyeт</font></b> <img src="../images/act1.gif" alt=""><br>';}
if ($dat_log!=""){echo'</div><div class=b><b><img src="../images/img/many.gif" alt=""> ФИРМА:'.$dat_log.'</div></b><div>
Подробная инфа: '.$dat_infa.' <br>Зарегистрирована: '.$dat_reg.' | Баланс: '.$dat_balans.' | Прибыль: '.$dat_prib.'|<br>';
}
$text = file("../local/birga/$uz.dat");
if ($text!=""){
$acts=count($text);
echo 'Имеются акции:<br> ';
for ($p=0; $p<$acts; $p++) {
$dat_arr1 = explode("|", $text[$p]);
if($dat_arr1[1]!=""){
echo 'Фирма:'.$dat_arr1[0].' '.$dat_arr1[1].'шт.<br>';}}}else{echo'Пока нет акций<br>';}
echo '<hr>';}}
$lin=@file("../local/eda/$uz.eda");
$dz=explode("|",$lin[0]);
if($dz[2]<=24){
echo'<b><u><a href="../games/bazar.php?'.SID.'">Пополните здоровье</a></u></b><br><br>';
echo'<img src="../gallery/grafic.php?rat='.(int)$dz[2].'&amp;imgs=1" alt=""><br>';
}else{
echo'<font color="#33FF00">Здоровье:</font><font color="red"><b> '.(int)$dz[2].'%</b></font><br>';
echo'<img src="../gallery/grafic.php?rat='.(int)$dz[2].'&amp;imgs=1" alt=""><br>';
}
echo '<hr>';
######################### Вывод операций дяля другого пользователя #########################
if (!$_SESSION['log']=="" && !md5($_SESSION['par'])=="" && md5($_SESSION['par'])==$provp && $_SESSION['log']==$prl ){
if($uz!=$log) {
echo'<img src="../images/img/mail.gif" alt=""> <a href="privat.php?action=submit&amp;uz='.$uz.'&amp;'.SID.'">Отправить сообщение</a><br>';
echo'<img src="../images/img/act2.gif" alt=""> <a href="kontakt.php?action=add&amp;uz='.$uz.'&amp;'.SID.'">Добавить в контакты</a><br>';
echo'<img src="../images/img/act2.gif" alt=""> <a href="../games/perevod.php?uz='.$uz.'&amp;'.SID.'">Перечислить денег</a><br>';
$text99 = @file("../local/navigator/$log.game");
$gtxt88 = explode(":||:",$text99[0]);
$svoy = $gtxt88[40];
if ($banda == $svoy) {echo'<img src="../images/act1.gif" alt=""> Cвoй чeл <img src="../images/act1.gif" alt=""><br>';}
if ($pppp!=="2") {
echo'<img src="../images/act2.gif" alt=""> <a href="../games/voodoo.php?uz='.$uz.'&amp;'.SID.'">Зaкoлдoвaть</a> <br>';}else{echo'<img src="../images/act1.gif" alt=""> <font color=\"blue\">Ужe Зaкaлдoвaн!</font> <img src="../images/act1.gif" alt=""><br>';}
echo'<img src="../images/act2.gif" alt=""> <a href="../games/napal.php?uz='.$uz.'&amp;'.SID.'">Напасть!!!</a><br>';
echo' <img src="../images/act2.gif" alt=""> <a href="../games/arena.php?uz='.$uz.'&amp;'.SID.'">Пpecaнyть!!!</a><br>';
echo'<img src="../images/act2.gif" alt=""> <a href="../games/zags.php?uz='.$uz.'&amp;'.SID.'">Сделать предложение</a><br>';
######################### Вывад для самого себя #########################
} else {
echo'<img src="../images/act2.gif" alt=""> <a href="/games/rband.php?action=krysha">Kyпить кpышy</a><br>';
echo'<img src="../images/act2.gif" alt=""> <a href="/games/security.php?".SID."">Нанять личную охрану</a><br>';
if ($pppp!=="2") {echo'';} else {echo'<img src="../images/act1.gif" alt=""><b><font color="red"> Bы зaкoлдoвaны!</font></b> <img src="../images/act1.gif" alt=""><br><img src="../images/act2.gif" alt=""> <a href="/games/voodoo.php">Pacкoлдoвaтьcя</a><br>';
}}
#########################Для админов и модеров #########################
if ($dost==101 || $dost==102 || $dost==103){
echo'<img src="../images/img/error.gif" alt=""> <a href="../'.$config_mpanel.'/zaban.php?action=edit&amp;users='.$uz.'&amp;'.SID.'">Бан / Разбан</a><br>';}
if ($dost==101){
echo'<img src="../images/img/panel.gif" alt=""> <a href="../'.$config_mpanel.'/users.php?action=edit&amp;users='.$uz.'&amp;'.SID.'">Редактировать</a><br>';
echo'<img src="../images/img/error.gif" alt=""> <a href="../'.$config_mpanel.'/users.php?action=poddel&amp;users='.$uz.'&amp;'.SID.'">Удалить юзера</a><br>';}}
} else {echo '<img src="../images/img/error.gif" alt=""> Пользователь с данным логином не зарегистрирован<br>';}
} else {echo '<img src="../images/img/error.gif" alt=""> Произошла ошибка. Пользователь с данным логином не существует<br>';}
echo'<br><img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>';
include_once "../themes/$config_themes/foot.php";
?>